Bug 53145 - Strange "Can't locate module" modprobe messages
Strange "Can't locate module" modprobe messages
Status: CLOSED NOTABUG
Product: Red Hat Public Beta
Classification: Retired
Component: modutils (Show other bugs)
roswell
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-04 11:03 EDT by Dominik Mierzejewski
Modified: 2014-03-16 22:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-04 15:47:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominik Mierzejewski 2001-09-04 11:03:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
I get warnings about char-major-10-135 (it's /dev/rtc) and some other 
device (logs below).
I know it's probably because my home-brewed kernel doesn't support these 
things, but it didn't happen with RH 7.1, so I wonder what's changed.

Aug 28 04:28:46 wonko modprobe: modprobe: Can't locate module char-major-
226
Aug 28 04:28:46 wonko modprobe: modprobe: Can't locate module char-major-
226

devices.txt says:
226-239         UNASSIGNED

Aug 30 16:51:04 wonko modprobe: modprobe: Can't locate module char-major-
180

180 char        USB devices

I don't have USB support and it's turned off in BIOS setup.

Aug 31 00:33:01 wonko modprobe: modprobe: Can't locate module block-major-
22
Aug 31 00:33:01 wonko modprobe: modprobe: Can't locate module block-major-
22

 22 block       Second IDE hard disk/CD-ROM interface
                  0 = /dev/hdc          Master: whole disk (or CD-ROM)
                 64 = /dev/hdd          Slave: whole disk (or CD-ROM)

I have modular IDE CD-ROM support, but that's all. IDE support is compiled-
in.


Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. log in
2. tail /var/log/messages

	

Actual Results:  Lines like these appear
Aug 28 04:28:46 wonko modprobe: modprobe: Can't locate module char-major-
226
Aug 28 04:28:46 wonko modprobe: modprobe: Can't locate module char-major-
226


Expected Results:  There should be no such log entries.


Additional info:

I know it can be solved by adding appropriate
char-major-226 off
line to /etc/modules.conf, but this is not the Right Way(tm).
I don't know how to reproduce the other warnings, they seem random.
Comment 1 Bill Nottingham 2001-09-04 14:13:58 EDT
226 is DRM (direct rendering stuff) for X. It can safely be ignored.


What are you doing when you get the messages about block-major-22 and
char-major-180?
Comment 2 Dominik Mierzejewski 2001-09-04 15:47:51 EDT
+226 is DRM (direct rendering stuff) for X. It can safely be ignored.

Maybe I should add some aliases then?

+What are you doing when you get the messages about block-major-22 and

+char-major-180?

[...]

Aug 31 00:32:59 wonko anacron: anacron startup succeeded

Aug 31 00:32:59 wonko anacron[921]: Will run job `cron.daily' in 5 min.

Aug 31 00:33:01 wonko modprobe: modprobe: Can't locate module block-major-22

Aug 31 00:33:01 wonko modprobe: modprobe: Can't locate module block-major-22

Aug 31 00:33:07 wonko anacron: anacron shutdown succeeded

So I guess it's anacron.

[...]

Aug 30 16:50:33 wonko modprobe: modprobe: Can't locate module char-major-226

Aug 30 16:50:33 wonko modprobe: modprobe: Can't locate module char-major-226

Aug 30 16:50:40 wonko gnome-name-server[2339]: starting

Aug 30 16:50:40 wonko gnome-name-server[2341]: starting

Aug 30 16:50:40 wonko gnome-name-server[2341]: name server starting

Aug 30 16:50:40 wonko gnome-name-server[2339]: name server was running on display, exiting

Aug 30 16:51:04 wonko modprobe: modprobe: Can't locate module char-major-180

Aug 30 16:51:04 wonko last message repeated 9 times

And this must be "startx".
Comment 3 Bill Nottingham 2002-01-24 23:07:07 EST
block-major-22 is the second IDE controller (for example, a CDROM or something
similar.) char-major-180 is *something* under X, possibly gnome-pilot or
something similar.

Note You need to log in before you can comment on or make changes to this bug.